<%_ if (position === 'import') { _%>
<%_ } _%>
<%_ if (position === 'field') { _%>
<%_ } _%>
<%_ if (position === 'method') { _%>
<%_ } _%>
<%_ if (position === 'fieldsConfig') { _%>
  <%_ if (clientTheme === 'vben') { _%>
      formItemsConfig.unshift({
        label: '文件名',
        field: 'selectFile',
        show: true,
        component: 'SelectFile',
        componentProps:({ formModel }) => {
          return {
            onSelectFile: (file: any) => {
              formModel['uploadFile'] = file;
            },
          };
        } ,
        rules: [{ required: true, trigger: 'blur', message: '请选择文件' }],
      });
      formItemsConfig.unshift({
        label: '选择文件',
        field: 'uploadFile',
        component: 'SelectFile',
        show: false,
      });
  <%_ } else { _%>
  <%_ } _%>
<%_ } _%>
<%_ if (position === 'toolbarButtonClick') { _%>
  <%_ if (clientTheme === 'vben') { _%>
          case 'new':
            if (pageConfig.baseRouteName) {
              go({ name: `${pageConfig.baseRouteName}New`});
            } else {
              console.log('未定义方法');
            }
            break;
  <%_ } else { _%>
  <%_ } _%>
<%_ } _%>
<%_ if (position === 'tools') { _%>
  <%_ if (clientTheme === 'vben') { _%>
                { title: '上传', icon: 'ant-design:upload-outlined', click: () => {},hidden: false,disabled: false },
  <%_ } else { _%>
                                <span class="table-page-search-submitButtons">
                                    <a-button type="primary" icon="upload" @click="newEntity"></a-button>
                                </span>
  <%_ } _%>
<%_ } _%>
